VERSION 5.00
Begin VB.Form frmIcon 
   BorderStyle     =   0  'None
   ClientHeight    =   465
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   2340
   ClipControls    =   0   'False
   ControlBox      =   0   'False
   Icon            =   "frmSysTray.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   465
   ScaleWidth      =   2340
   ShowInTaskbar   =   0   'False
   Visible         =   0   'False
   WindowState     =   1  'Minimized
   Begin VB.Menu mnuPopup 
      Caption         =   "SysTray Popup Menu"
      Begin VB.Menu mnuPrefs 
         Caption         =   "&Prefs..."
      End
      Begin VB.Menu mnuPlay 
         Caption         =   "&Play"
      End
      Begin VB.Menu mnuStop 
         Caption         =   "&Stop"
      End
      Begin VB.Menu mnuPause 
         Caption         =   "P&ause"
      End
      Begin VB.Menu mnuNext 
         Caption         =   "&Next"
      End
      Begin VB.Menu mnuPrev 
         Caption         =   "Pre&vious"
      End
      Begin VB.Menu mnuLoadSkin 
         Caption         =   "Load S&kin"
      End
      Begin VB.Menu mnuLoad 
         Caption         =   "&Load Playlist"
      End
      Begin VB.Menu mnuClose 
         Caption         =   "&Close"
      End
   End
End
Attribute VB_Name = "frmIcon"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Tray Icon
'=========
' Initializes the system tray icon and menu and responds
' to mouse and menu events. Calls code in main VB-Amp form.
'
' Thanks to: Ben Baird <psyborg@cyberhighway.com> for
' most of the system tray code.

Option Explicit
Private Sub Form_Load()

'Add the icon to the system tray...
With nfIconData
 .hWnd = Me.hWnd
 .uID = Me.Icon
 .uFlags = NIF_ICON Or NIF_MESSAGE Or NIF_TIP
 .uCallbackMessage = WM_MOUSEMOVE
 .hIcon = Me.Icon.Handle
 .szTip = "VB-Amp" & Chr$(0)
 .cbSize = Len(nfIconData)
End With
Call Shell_NotifyIcon(NIM_ADD, nfIconData)

End Sub

'Respond to mouse events
Private Sub Form_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)

Select Case X
    Case 7680 'MouseMove
    Case 7695 'LeftMouseDown
        If Pref.Visible = False Then
            frmVBAmp.Visible = True
            Call AlwaysOnTop(frmVBAmp, True)
            Call AlwaysOnTop(frmVBAmp, OptAlwaysOnTop)
        End If
    Case 7710 'LeftMouseUp
    Case 7725 'LeftDblClick
    Case 7740 'RightMouseDown
        PopupMenu mnuPopup, 0, , , mnuClose
    Case 7755 'RightMouseUp
    Case 7770 'RightDblClick
End Select

End Sub

Private Sub Form_Unload(Cancel As Integer)
    Call Shell_NotifyIcon(NIM_DELETE, nfIconData)
End Sub

'Respond to menu selections
'--------------------------

Private Sub mnuLoadSkin_Click()
    Call frmVBAmp.SelectSkin
End Sub

Private Sub mnuClose_Click()
    Call frmVBAmp.Quit
End Sub

Private Sub mnuLoad_Click()
   Call frmVBAmp.PlLoad
End Sub

Private Sub mnuNext_Click()
   Call frmVBAmp.NextTrack
End Sub

Private Sub mnuPause_Click()
   Call frmVBAmp.PauseIt
End Sub

Private Sub mnuPlay_Click()
   Call frmVBAmp.PlayIt
End Sub

Private Sub mnuPrefs_Click()
   Call frmVBAmp.ShowPrefs
End Sub

Private Sub mnuPrev_Click()
    Call frmVBAmp.PrevTrack
End Sub

Private Sub mnuStop_Click()
   Call frmVBAmp.StopIt
End Sub
